use super::Document;
use super::Element;
use super::Heading;
use super::Object;
use super::Section;

pub enum Token<'r, 's> {
    Heading(&'r Heading<'s>),
    Section(&'r Section<'s>),
    Object(&'r Object<'s>),
    Element(&'r Element<'s>),
}
